Bug 127915 - CAN-2004-0138 Verify interpreter arch
CAN-2004-0138 Verify interpreter arch
Status: CLOSED DUPLICATE of bug 134981
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 07:04 EDT by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-17 16:37:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-07-15 07:04:27 EDT
A flaw was found and fixed in 2.6 (and backported to 2.4 on 20040204).
 On ia64 platforms that can allegedly cause a local unprivileged user
to oops the kernel; but others have said that it causes a BUG() and
leaking vma only.

http://linux.bkbits.net:8080/linux-2.6/cset@3f96a083QbCcQgd-bg2Bt2-LMX-QJg
       
http://linux.bkbits.net:8080/linux-2.4/cset@4021346f79nBb-4X_usRikR3Iyb4Vg

Therefore fixed in 2.4.25
Comment 1 Jim Paradis 2004-11-16 20:06:20 EST
This fix is slated for the RHEL3-U4 respin taking place 11/16/04

Although reported against ia64, the fix is good for all arches.
Comment 4 Ernie Petrides 2004-11-24 20:27:09 EST
The fix for this problem has been committed to both the RHEL3 U4 and the
RHEL3 E4 patch pools (in kernel versions 2.4.21-25.EL and 2.4.21-20.0.1.EL).
Comment 5 Marcel Holtmann 2006-05-31 09:41:09 EDT
The correct CVE name for this issue is CVE-2004-0138.

Note You need to log in before you can comment on or make changes to this bug.